// CancelDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MSQueryExample.h"
#include "CancelDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CCancelDlg dialog
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

//===========================================================
// Construction
//===========================================================
CCancelDlg::CCancelDlg(CWnd* pParent /*=NULL*/)
: CDialog(CCancelDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCancelDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


//===========================================================
// DoDataExchange
//===========================================================
void CCancelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCancelDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCancelDlg, CDialog)
	//{{AFX_MSG_MAP(CCancelDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


//===========================================================
// OnInitDialog - initialises the dialog
//===========================================================
BOOL CCancelDlg::OnInitDialog() 
{
	// call the parent method
	CDialog::OnInitDialog();

	// Create MSQuery
	m_query = new CMSQuery();
	m_query->Create(m_sqlstring, m_connection, this);


	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}



/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
// CCancelDlg message handlers
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////


//===========================================================
// OnCancel - the user presses cancel
//===========================================================
void CCancelDlg::OnCancel() 
{
	// Hide the cancel buttong
	CButton *pBut = (CButton*)GetDlgItem(IDCANCEL);
	ASSERT(pBut);
	pBut->ShowWindow(SW_HIDE);

	// Retrieve the result and destroy the object
	m_queryOK = m_query->QueryOK();
	if (m_queryOK)
	{
		m_sqlstring = m_query->GetQuery();
		m_connection = m_query->GetConnection();
	}

	// Set the static window text
	CStatic *pStat = (CStatic*)GetDlgItem(IDC_MESSAGE_STATIC);
	ASSERT(pStat);
	CString text = "Waiting for MSQuery to return";
	pStat->SetWindowText(text);

	// Delete the MSQuery object (this could take a few moments)
	delete m_query;
	
	// Call parent
	CDialog::OnCancel();
}
